## qt6-tools 6.8.3

=== CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause


cmake_minimum_required(VERSION 3.16)

include(.cmake.conf)
project(QtTools
    VERSION "${QT_REPO_MODULE_VERSION}"
    DESCRIPTION "Qt Tools"
    HOMEPAGE_URL "https://qt.io/"
    LANGUAGES CXX C
)

# add platform specific compontents
set(optional_components "")
if(WIN32)
    list(APPEND optional_components AxContainer)
endif()

find_package(Qt6 ${PROJECT_VERSION} CONFIG REQUIRED COMPONENTS BuildInternals Core)
find_package(Qt6 ${PROJECT_VERSION} QUIET CONFIG OPTIONAL_COMPONENTS
             DBus Network Xml Widgets Quick QuickWidgets Qml QmlLSPrivate
             Sql PrintSupport OpenGL OpenGLWidgets ${optional_components})
qt_internal_project_setup()

qt_build_repo()

# Add tool dependencies that were deferred by qt_internal_add_docs.
qt_internal_add_deferred_dependencies()

=== src/qtdiag/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## qtdiag App:
#####################################################################

qt_internal_add_app(qtdiag
    INSTALL_VERSIONED_LINK
    SOURCES
        main.cpp
        qtdiag.cpp qtdiag.h
    LIBRARIES
        Qt::CorePrivate
        # Qt::Gui # special case QTBUG-83498
        # Qt::GuiPrivate # special case QTBUG-83498
)
set_target_properties(qtdiag PROPERTIES
    WIN32_EXECUTABLE FALSE
)

## Scopes:
#####################################################################

qt_internal_extend_target(qtdiag CONDITION QT_FEATURE_opengl
    PUBLIC_LIBRARIES
        Qt::OpenGL
        Qt::Gui # special case QTBUG-83498
        Qt::GuiPrivate # special case QTBUG-83498
)

qt_internal_extend_target(qtdiag CONDITION TARGET Qt::Widgets
    PUBLIC_LIBRARIES
        Qt::Widgets
        Qt::Gui # special case QTBUG-83498
        Qt::GuiPrivate # special case QTBUG-83498
)

# QTBUG-83498
qt_internal_extend_target(qtdiag CONDITION NOT TARGET Qt::Widgets AND NOT QT_FEATURE_opengl
    PUBLIC_LIBRARIES
        Qt::Gui
        Qt::GuiPrivate # special case QTBUG-83498
)

qt_internal_extend_target(qtdiag CONDITION TARGET Qt::Network
    DEFINES
        NETWORK_DIAG
    PUBLIC_LIBRARIES
        Qt::Network
)

=== tests/auto/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

add_subdirectory(cmake)
if(QT_FEATURE_process AND NOT CMAKE_CROSSCOMPILING)
    add_subdirectory(linguist)
    add_subdirectory(qtattributionsscanner)
    add_subdirectory(qtdiag)
endif()
if(TARGET Qt::qdoc AND NOT CMAKE_CROSSCOMPILING)
    add_subdirectory(qdoc)
endif()
if(TARGET Qt::Help AND NOT CMAKE_CROSSCOMPILING)
    add_subdirectory(qhelpcontentmodel)
    add_subdirectory(qhelpenginecore)
    add_subdirectory(qhelpgenerator)
    add_subdirectory(qhelpindexmodel)
    add_subdirectory(qhelpprojectdata)

    if(TARGET Qt::QmlLSPrivate)
        add_subdirectory(helpengineplugin)
    endif()
endif()

=== examples/designer/calculatorbuilder/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

cmake_minimum_required(VERSION 3.16)
project(calculatorbuilder LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/designer/calculatorbuilder")

find_package(Qt6 REQUIRED COMPONENTS Core Gui UiTools Widgets)

qt_add_executable(calculatorbuilder main.cpp)

set_target_properties(calculatorbuilder PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

#! [0]
target_link_libraries(calculatorbuilder PUBLIC
    Qt::Core
    Qt::Gui
    Qt::UiTools
    Qt::Widgets
)
#! [0]

# Resources:
#! [1]
set(calculatorbuilder_resource_files
    "calculatorform.ui"
)
#! [1]

qt6_add_resources(calculatorbuilder "calculatorbuilder"
    PREFIX
        "/forms"
    FILES
        ${calculatorbuilder_resource_files}
)

install(TARGETS calculatorbuilder
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/designer/customwidgetplugin/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

cmake_minimum_required(VERSION 3.16)
project(customwidgetplugin LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)

#! [0]
find_package(Qt6 REQUIRED COMPONENTS Core Gui UiPlugin Widgets)

qt_add_plugin(customwidgetplugin)
#! [0]

#! [1]
target_sources(customwidgetplugin PRIVATE
    analogclock.cpp analogclock.h
    customwidgetplugin.cpp customwidgetplugin.h
)
#! [1]

set_target_properties(customwidgetplugin PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

#! [2]
target_link_libraries(customwidgetplugin PUBLIC
    Qt::Core
    Qt::Gui
    Qt::UiPlugin
    Qt::Widgets
)
#! [2]

if(QT6_INSTALL_PREFIX)
#! [3]
   set(INSTALL_EXAMPLEDIR "${QT6_INSTALL_PREFIX}/${QT6_INSTALL_PLUGINS}/designer")
#! [3]
else()
   if(NOT DEFINED INSTALL_EXAMPLESDIR)
       set(INSTALL_EXAMPLESDIR "examples")
   endif()
   set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/plugins/designer")
endif()

#! [4]
install(TARGETS customwidgetplugin
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)
#! [4]

=== src/assistant/assistant/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## assistant App:
#####################################################################

qt_internal_add_app(assistant
    SOURCES
        ../../shared/fontpanel/fontpanel.cpp ../../shared/fontpanel/fontpanel_p.h
        ../shared/collectionconfiguration.cpp ../shared/collectionconfiguration.h
        aboutdialog.cpp aboutdialog.h
        bookmarkdialog.cpp bookmarkdialog.h bookmarkdialog.ui
        bookmarkfiltermodel.cpp bookmarkfiltermodel.h
        bookmarkitem.cpp bookmarkitem.h
        bookmarkmanager.cpp bookmarkmanager.h
        bookmarkmanagerwidget.cpp bookmarkmanagerwidget.h bookmarkmanagerwidget.ui
        bookmarkmodel.cpp bookmarkmodel.h
        bookmarkwidget.ui
        centralwidget.cpp centralwidget.h
        cmdlineparser.cpp cmdlineparser.h
        contentwindow.cpp contentwindow.h
        findwidget.cpp findwidget.h
        globalactions.cpp globalactions.h
        helpbrowsersupport.cpp helpbrowsersupport.h
        helpdocsettings.cpp helpdocsettings.h
        helpdocsettingswidget.cpp helpdocsettingswidget.h helpdocsettingswidget.ui
        helpenginewrapper.cpp helpenginewrapper.h
        helpviewer.cpp helpviewer.h helpviewerimpl.cpp helpviewerimpl.h helpviewerimpl_p.h
        indexwindow.cpp indexwindow.h
        main.cpp
        mainwindow.cpp mainwindow.h
        openpagesmanager.cpp openpagesmanager.h
        openpagesmodel.cpp openpagesmodel.h
        openpagesswitcher.cpp openpagesswitcher.h
        openpageswidget.cpp openpageswidget.h
        preferencesdialog.cpp preferencesdialog.h preferencesdialog.ui
        qtdocinstaller.cpp qtdocinstaller.h
        remotecontrol.cpp remotecontrol.h
        searchwidget.cpp searchwidget.h
        topicchooser.cpp topicchooser.h topicchooser.ui
        tracer.h
        xbelsupport.cpp xbelsupport.h
    INCLUDE_DIRECTORIES
        ../../shared/fontpanel
    LIBRARIES
        Qt::Gui
        Qt::Help
        Qt::Network
        Qt::Sql
        Qt::Widgets
        Qt::PrintSupport
        qlitehtml
    ENABLE_AUTOGEN_TOOLS
        uic
    ATTRIBUTION_FILE_DIR_PATHS
        ../qlitehtml/src/3rdparty
)

# Resources:
set(assistant_images_resource_files
    "images/assistant-128.png"
    "images/assistant.png"
    "images/bookmark.png"
    "images/closebutton.png"
    "images/darkclosebutton.png"
    "images/mac/book.png"
    "images/mac/closetab.png"
    "images/mac/editcopy.png"
    "images/mac/find.png"
    "images/mac/home.png"
    "images/mac/next.png"
    "images/mac/previous.png"
    "images/mac/print.png"
    "images/mac/resetzoom.png"
    "images/mac/synctoc.png"
    "images/mac/zoomin.png"
    "images/mac/zoomout.png"
    "images/win/book.png"
    "images/win/closetab.png"
    "images/win/editcopy.png"
    "images/win/find.png"
    "images/win/home.png"
    "images/win/next.png"
    "images/win/previous.png"
    "images/win/print.png"
    "images/win/resetzoom.png"
    "images/win/synctoc.png"
    "images/win/zoomin.png"
    "images/win/zoomout.png"
    "images/wrap.png"
)

qt_internal_add_resource(assistant "assistant_images"
    PREFIX
        "/qt-project.org/assistant"
    FILES
        ${assistant_images_resource_files}
)

set_target_properties(assistant PROPERTIES
    QT_TARGET_DESCRIPTION "Qt Assistant"
)

## Scopes:
#####################################################################

qt_internal_extend_target(assistant CONDITION TARGET Qt::PrintSupport
    PUBLIC_LIBRARIES
        Qt::PrintSupport
)

qt_internal_extend_target(assistant CONDITION BROWSER___equals___qtwebkit
    SOURCES
        helpviewerimpl_qwv.cpp
    DEFINES
        BROWSER_QTWEBKIT
    PUBLIC_LIBRARIES
        Qt::WebKitWidgets
)

qt_internal_extend_target(assistant CONDITION NOT BROWSER___equals___qtwebkit
    SOURCES
        helpviewerimpl_qtb.cpp
    DEFINES
        BROWSER_QTEXTBROWSER
)

if(WIN32)
    set_target_properties(assistant PROPERTIES
        QT_TARGET_RC_ICONS "${CMAKE_CURRENT_SOURCE_DIR}/assistant.ico"
    )
endif()

if(WIN32)
    set_target_properties(assistant PROPERTIES
        QT_TARGET_VERSION "${PROJECT_VERSION}.0"
    )
endif()

qt_internal_extend_target(assistant CONDITION WIN32
    SOURCES
        stdinlistener_win.cpp stdinlistener_win.h
    PUBLIC_LIBRARIES
        shell32
)

if(UNIX)
    set_target_properties(assistant PROPERTIES
        QT_TARGET_VERSION "${PROJECT_VERSION}"
    )
endif()

qt_internal_extend_target(assistant CONDITION UNIX
    SOURCES
        stdinlistener.cpp stdinlistener.h
)

if(APPLE)
    set_target_properties(assistant PROPERTIES
        MACOSX_BUNDLE_INFO_PLIST "${CMAKE_CURRENT_SOURCE_DIR}/Info_mac.plist"
        MACOSX_BUNDLE TRUE
        MACOSX_BUNDLE_ICON_FILE "assistant.icns"
        OUTPUT_NAME "Assistant"
    )
    set_source_files_properties(assistant.icns PROPERTIES
        MACOSX_PACKAGE_LOCATION Resources
    )
    target_sources(assistant PRIVATE
        assistant.icns
    )
    # Set values to be replaced in the custom Info_mac.plist.
    set(ICON "assistant.icns")
    set(EXECUTABLE "Assistant")
endif()
qt_internal_add_docs(assistant
    doc/qtassistant.qdocconf
)

=== src/assistant/qhelpgenerator/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## qhelpgenerator Tool:
#####################################################################

qt_get_tool_target_name(target_name qhelpgenerator)
qt_internal_add_tool(${target_name}
    TARGET_DESCRIPTION "Qt Compressed Help File Generator"
    TOOLS_TARGET Tools
    INSTALL_DIR "${INSTALL_LIBEXECDIR}"
    SOURCES
        ../shared/collectionconfiguration.cpp ../shared/collectionconfiguration.h
        collectionconfigreader.cpp collectionconfigreader.h
        helpgenerator.cpp helpgenerator.h
        main.cpp
        qhelpdatainterface.cpp qhelpdatainterface_p.h
        qhelpprojectdata.cpp qhelpprojectdata_p.h
    LIBRARIES
        Qt::Gui
        Qt::HelpPrivate
)
qt_internal_return_unless_building_tools()

set(needed_plugins
    QMinimalIntegrationPlugin
    QSQLiteDriverPlugin
)
list(TRANSFORM needed_plugins PREPEND Qt:: OUTPUT_VARIABLE needed_plugin_targets)

if(NOT QT_BUILD_SHARED_LIBS)
    if(QT_SUPERBUILD)
        # In a top-level build, qt_import_plugins() is a no-op because
        # __qt_internal_add_static_plugins_once() is not called.
        # So we need to initialize and link the plugin manually.
        set(out_file_path "${CMAKE_CURRENT_BINARY_DIR}/${target_name}_plugin_imports_custom.cpp")

        # Create a string with the necessary Q_IMPORT_PLUGIN(...) statements.
        list(TRANSFORM needed_plugins PREPEND "Q_IMPORT_PLUGIN(" OUTPUT_VARIABLE import_plugin_code)
        list(TRANSFORM import_plugin_code APPEND ")")
        list(JOIN import_plugin_code "\n" import_plugin_code)

        file(GENERATE OUTPUT "${out_file_path}" CONTENT
"// This file is auto-generated. Do not edit.
#include <QtPlugin>

${import_plugin_code}
")

        # CMake versions earlier than 3.18.0 can't find the generated file for some reason,
        # failing at generation phase.
        # Explicitly marking the file as GENERATED fixes the issue.
        set_source_files_properties("${out_file_path}" PROPERTIES GENERATED TRUE)

        target_sources(${target_name} PRIVATE "${out_file_path}")
        target_link_libraries(${target_name} PRIVATE ${needed_plugin_targets})
    else()
        qt_import_plugins(${target_name}
            INCLUDE ${needed_plugin_targets}
        )
    endif()
else() # QT_BUILD_SHARED_LIBS
    if(TARGET ${target_name} AND QT_SUPERBUILD)
        add_dependencies(${target_name} ${needed_plugins})
    endif()
endif()

=== src/linguist/linguist/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## linguist App:
#####################################################################

qt_internal_add_app(linguist
    SOURCES
        ../shared/numerus.cpp
        ../shared/po.cpp
        ../shared/qm.cpp
        ../shared/qph.cpp
        ../shared/simtexth.cpp ../shared/simtexth.h
        ../shared/translator.cpp ../shared/translator.h
        ../shared/translatormessage.cpp ../shared/translatormessage.h
        ../shared/ts.cpp
        ../shared/xliff.cpp
        ../shared/xmlparser.cpp ../shared/xmlparser.h
        batchtranslation.ui
        batchtranslationdialog.cpp batchtranslationdialog.h
        errorsview.cpp errorsview.h
        finddialog.cpp finddialog.h finddialog.ui
        formpreviewview.cpp formpreviewview.h
        globals.cpp globals.h
        main.cpp
        mainwindow.cpp mainwindow.h mainwindow.ui
        messageeditor.cpp messageeditor.h
        messageeditorwidgets.cpp messageeditorwidgets.h
        messagehighlighter.cpp messagehighlighter.h
        messagemodel.cpp messagemodel.h
        phrase.cpp phrase.h
        phrasebookbox.cpp phrasebookbox.h phrasebookbox.ui
        phrasemodel.cpp phrasemodel.h
        phraseview.cpp phraseview.h
        printout.cpp printout.h
        recentfiles.cpp recentfiles.h
        sourcecodeview.cpp sourcecodeview.h
        statistics.cpp statistics.h statistics.ui
        translatedialog.cpp translatedialog.h translatedialog.ui
        translationsettings.ui
        translationsettingsdialog.cpp translationsettingsdialog.h
    DEFINES
        QFORMINTERNAL_NAMESPACE
        QT_KEYWORDS
        QT_NO_CAST_FROM_ASCII
        QT_NO_CAST_TO_ASCII
    INCLUDE_DIRECTORIES
        ../shared
    LIBRARIES
        Qt::CorePrivate
        Qt::Gui
        Qt::GuiPrivate
        Qt::PrintSupport
        Qt::UiToolsPrivate
        Qt::Widgets
    ENABLE_AUTOGEN_TOOLS
        uic
)

# Resources:
set(linguist_resource_files
    "images/appicon.png"
    "images/down.png"
    "images/editdelete.png"
    "images/icons/linguist-128-32.png"
    "images/mac/accelerator.png"
    "images/mac/book.png"
    "images/mac/done.png"
    "images/mac/doneandnext.png"
    "images/mac/editcopy.png"
    "images/mac/editcut.png"
    "images/mac/editpaste.png"
    "images/mac/fileopen.png"
    "images/mac/filesave.png"
    "images/mac/next.png"
    "images/mac/nextunfinished.png"
    "images/mac/phrase.png"
    "images/mac/prev.png"
    "images/mac/prevunfinished.png"
    "images/mac/print.png"
    "images/mac/punctuation.png"
    "images/mac/redo.png"
    "images/mac/searchfind.png"
    "images/mac/surroundingwhitespace.png"
    "images/mac/undo.png"
    "images/mac/validateplacemarkers.png"
    "images/mac/whatsthis.png"
    "images/minus.png"
    "images/plus.png"
    "images/s_check_danger.png"
    "images/s_check_empty.png"
    "images/s_check_obsolete.png"
    "images/s_check_off.png"
    "images/s_check_on.png"
    "images/s_check_warning.png"
    "images/up.png"
    "images/win/accelerator.png"
    "images/win/book.png"
    "images/win/done.png"
    "images/win/doneandnext.png"
    "images/win/editcopy.png"
    "images/win/editcut.png"
    "images/win/editpaste.png"
    "images/win/fileopen.png"
    "images/win/filesave.png"
    "images/win/next.png"
    "images/win/nextunfinished.png"
    "images/win/phrase.png"
    "images/win/prev.png"
    "images/win/prevunfinished.png"
    "images/win/print.png"
    "images/win/punctuation.png"
    "images/win/redo.png"
    "images/win/searchfind.png"
    "images/win/surroundingwhitespace.png"
    "images/win/undo.png"
    "images/win/validateplacemarkers.png"
    "images/win/whatsthis.png"
)

qt_internal_add_resource(linguist "linguist"
    PREFIX
        "/"
    FILES
        ${linguist_resource_files}
)

set_target_properties(linguist PROPERTIES
    QT_TARGET_DESCRIPTION "Qt Linguist"
)

file(GLOB phrasebooks_files "${CMAKE_CURRENT_SOURCE_DIR}/../phrasebooks/*")
set(phrasebooks_install_dir "${INSTALL_DATADIR}/phrasebooks")
if(CMAKE_VERSION VERSION_GREATER_EQUAL "3.31")
    cmake_path(SET phrasebooks_install_dir NORMALIZE "${phrasebooks_install_dir}")
endif()
qt_install(FILES ${phrasebooks_files} DESTINATION "${phrasebooks_install_dir}")

if(WIN32)
    set_target_properties(linguist PROPERTIES
        QT_TARGET_RC_ICONS "${CMAKE_CURRENT_SOURCE_DIR}/linguist.ico"
    )
endif()

if(WIN32)
    set_target_properties(linguist PROPERTIES
        QT_TARGET_VERSION "${PROJECT_VERSION}.0"
    )
endif()

if(UNIX)
    set_target_properties(linguist PROPERTIES
        QT_TARGET_VERSION "${PROJECT_VERSION}"
    )
endif()

if(APPLE)
    set_target_properties(linguist PROPERTIES
        MACOSX_BUNDLE_INFO_PLIST "${CMAKE_CURRENT_SOURCE_DIR}/Info_mac.plist"
        MACOSX_BUNDLE TRUE
        MACOSX_BUNDLE_ICON_FILE "linguist.icns"
        OUTPUT_NAME "Linguist"
    )
    set_source_files_properties(linguist.icns PROPERTIES
        MACOSX_PACKAGE_LOCATION Resources
    )
    target_sources(linguist PRIVATE
        linguist.icns
    )
else()
    set_property(SOURCE main.cpp PROPERTY SKIP_AUTOMOC ON)
endif()
qt_internal_add_docs(linguist
    doc/qtlinguist.qdocconf
)

=== src/linguist/lupdate-pro/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## lupdate-pro Tool:
#####################################################################

qt_get_tool_target_name(target_name lupdate-pro)
qt_internal_add_tool(${target_name}
    TARGET_DESCRIPTION "Qt Translation File Update Tool for QMake Projects"
    TOOLS_TARGET Linguist
    INSTALL_DIR "${INSTALL_LIBEXECDIR}"
    SOURCES
        ../shared/runqttool.cpp ../shared/runqttool.h
        main.cpp
    DEFINES
        QT_NO_CAST_FROM_ASCII
        QT_NO_CAST_TO_ASCII
    INCLUDE_DIRECTORIES
        ../shared
)
qt_internal_return_unless_building_tools()

=== src/designer/src/plugins/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

if(TARGET Qt::WebKitWidgets)
    add_subdirectory(qwebview)
endif()
if(TARGET Qt::AxContainer AND WIN32)
    add_subdirectory(activeqt)
endif()
if(TARGET Qt::QuickWidgets)
    add_subdirectory(qquickwidget)
endif()

=== tests/auto/cmake/linguist/test_i18n_filter_autogen_files/app2/CMakeLists.txt ===
# Copyright (C) 2024 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16)
qt_add_executable(app2
    main.cpp
    mainwindow.ui
)
target_link_libraries(app2 PRIVATE Qt6::Widgets)
set_target_properties(app2 PROPERTIES
    AUTOGEN_BUILD_DIR "${CMAKE_CURRENT_BINARY_DIR}/wossname_autogen"
)

=== tests/auto/cmake/linguist/test_i18n_subdir/subdir/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_add_executable(app1
    main.cpp)
target_link_libraries(app1 PRIVATE Qt::Gui)
qt_add_translations(app1
    TS_FILES app1_de.ts
    NO_GENERATE_PLURALS_TS_FILE
)

=== debian/changelog ===
qt6-tools (6.8.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 27 Mar 2025 22:26:38 -0500

=== debian/control ===
Source: qt6-tools
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
Build-Depends: clang-19 [amd64 arm64 armel armhf i386 loong64 mips64el ppc64el riscv64 s390x sparc64],
               cmake (>= 3.24~),
               debhelper-compat (= 13),
               libclang-19-dev [amd64 arm64 armel armhf i386 loong64 mips64el ppc64el riscv64 s390x sparc64],
               libcurl4-openssl-dev | libcurl4-dev,
               libedit-dev,
               libgl-dev,
#               liblitehtml-dev (>= 0.6~),
               libssl-dev,
               libvulkan-dev [linux-any],
               libxcb-xkb-dev,
               libzstd-dev (>= 1.3),
               llvm [amd64 arm64 armel armhf i386 loong64 mips64el ppc64el riscv64 s390x sparc64],
               llvm-19-dev [amd64 arm64 armel armhf i386 loong64 mips64el ppc64el riscv64 s390x sparc64],
               ninja-build,
               pkgconf,
               pkg-kde-tools,
               qt6-base-dev (>= 6.8.3+dfsg~),
               qt6-base-private-dev (>= 6.8.3+dfsg~),
               qt6-declarative-dev (>= 6.8.3+dfsg~),
               qt6-declarative-private-dev (>= 6.8.3+dfsg~),
Build-Depends-Indep: qdoc-qt6 (>= 6.8~) <!nodoc>,
                     qt6-base-dev (>= 6.8~) <!nodoc>,
                     qt6-documentation-tools (>= 6.8~) <!nodoc>,
Standards-Version: 4.7.0
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-tools
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-tools.git
Rules-Requires-Root: no

Package: libqt6designer6
Architecture: any
Multi-Arch: same
Provides: qt6-designer-private-abi (= 6.8.3),
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Designer library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtDesigner library provides classes that allow you to create your own
 custom widget plugins for Qt Designer, and classes that enable you to access
 Qt Designer's components.

Package: libqt6designercomponents6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Designer Components library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package includes components for the Qt 6 Designer library.

Package: libqt6help6
Architecture: any
Multi-Arch: same
Provides: qt6-help-private-abi (= 6.8.3),
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Help library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtHelp library provides classes for integrating online documentation in
 applications.

Package: libqt6uitools6
Architecture: any
Multi-Arch: same
Provides: qt6-uitools-private-abi (= 6.8.3),
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 UI tools library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The package provides classes to handle forms created with Qt Designer.

Package: assistant-qt6
Architecture: any
Multi-Arch: foreign
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Assistant
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt Assistant is a tool for viewing on-line documentation in Qt help file
 format.

Package: designer-qt6
Architecture: any
Multi-Arch: foreign
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Designer
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt Designer is the Qt tool for designing and building graphical user
 interfaces (GUIs) with Qt Widgets.

Package: designer-qt6-plugins
Architecture: any
Multi-Arch: same
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: designer-qt6 (<< 6.6.1-2~),
Replaces: designer-qt6 (<< 6.6.1-2~),
Description: Qt 6 Designer - plugins
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt Designer is the Qt tool for designing and building graphical user
 interfaces (GUIs) with Qt Widgets.
 .
 This package contains various plugins to be used with the Qt Designer.

Package: linguist-qt6
Architecture: any
Multi-Arch: foreign
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Linguist
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt Linguist is a tool for adding translations to Qt applications.

Package: qdbus-qt6
Architecture: any
Multi-Arch: foreign
Section: utils
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: qt6-tools-dev-tools (<< 6.3.1-2~),
Replaces: qt6-tools-dev-tools (<< 6.3.1-2~),
Description: Qt 6 D-Bus application
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 qdbus is a tool for listing D-Bus services and its properties.

Package: qdoc-qt6
Architecture: amd64 arm64 armel armhf i386 loong64 mips64el ppc64el riscv64 s390x sparc64
Multi-Arch: foreign
Section: utils
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: qt6-documentation-tools (<< 6.7.2-5~),
Replaces: qt6-documentation-tools (<< 6.7.2-5~),
Description: Qt 6 qdoc tool
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains qdoc, a command-line tool for generating HTML
 documentation from .cpp and .qdoc files.

Package: qt6-documentation-tools
Architecture: any
Multi-Arch: foreign
Section: utils
Depends: libqt6sql6-sqlite,
         qdoc-qt6 (= ${binary:Version}) [amd64 arm64 armel armhf i386 loong64 mips64el ppc64el riscv64 s390x sparc64],
         ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 documentation tools
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains tools like qtattributionsscanner and qhelpgenerator.
 .
 qtattributionsscanner is a command-line tool that scans the source
 code for qt_attribution.json file and outputs JSON or qdoc files
 describing the copyright attributions for third party code.
 .
 qhelpgenerator is a command-line tool for packaging the HTML
 documentation generated by qdoc into .qch files.

Package: qt6-l10n-tools
Architecture: any
Multi-Arch: foreign
Section: utils
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 translation tools
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains tools to create translation files.

Package: qt6-tools-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libqt6designer6 (= ${binary:Version}),
         libqt6designercomponents6 (= ${binary:Version}),
         libqt6help6 (= ${binary:Version}),
         libqt6uitools6 (= ${binary:Version}),
         qt6-base-dev,
         qt6-tools-dev-tools (= ${binary:Version}),
         ${misc:Depends},
Description: Qt 6 Tools - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 6
 applications.

Package: qt6-tools-private-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: qt6-tools-dev (= ${binary:Version}), ${misc:Depends},
Description: Qt 6 Tools - private development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains private header development files.
 .
 Use at your own risk.

Package: qt6-tools-dev-tools
Architecture: any
Multi-Arch: foreign
Section: devel
Depends: assistant-qt6 (= ${binary:Version}),
         designer-qt6 (= ${binary:Version}),
         linguist-qt6 (= ${binary:Version}),
         qdbus-qt6 (= ${binary:Version}),
         qt6-documentation-tools (= ${binary:Version}),
         qt6-l10n-tools (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 development tools
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains a set of applications to browse the documentation,
 translate applications, generate help files and other stuff that
 helps in Qt development. These tools are among others:
  * pixeltool
  * qdbusviewer

Package: qt6-tools-doc
Architecture: all
Section: doc
Depends: qt6-base-doc, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 tools documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for the Qt 6 tools.

Package: qt6-tools-doc-html
Architecture: all
Section: doc
Depends: qt6-base-doc-html, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 tools HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for the Qt 6 tools.

Package: qt6-tools-doc-dev
Architecture: all
Section: libdevel
Depends: qt6-base-doc-dev, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 tools tags files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the doxygen tags files for the qt tools
 documentation.

Package: qt6-tools-examples
Architecture: any
Multi-Arch: same
Section: misc
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 tools examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the examples for the Qt tools submodule.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

export LLVM_INSTALL_DIR := $(shell llvm-config --prefix)

%:
	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
		--log-level=STATUS \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
		-DCMAKE_SKIP_INSTALL_RPATH=ON \
		-DINSTALL_PUBLICBINDIR=/usr/bin

override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_install-indep:
	DESTDIR=$(CURDIR)/debian/tmp dh_auto_build -- install_docs
	# Remove build path from index files.
	find $(CURDIR)/debian/tmp/usr/share/qt6/doc -type f -name *.index -exec \
               sed -i 's@$(CURDIR)/@@g' {} \;

execute_after_dh_auto_install-arch:
	# Reproducible builds: remove build paths from .prl files
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl

## qt6-tools 6.9.1

=== debian/changelog ===
qt6-tools (6.9.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Do not use ccache on hurd.
  * Use dh-sequence-pkgkde-symbolshelper instead of --with.

 -- Patrick Franz <deltaone@debian.org>  Tue, 26 Aug 2025 18:30:48 +0200

qt6-tools (6.9.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.9.1).
  * Bump Qt B-Ds to 6.9.1.
  * Update ABI to 6.9.1.
  * Refresh patches.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sat, 19 Jul 2025 18:41:13 +0200

=== debian/control ===
--- 
+++ 
@@ -1,34 +1,36 @@
 Source: qt6-tools
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>,
-Build-Depends: clang-19 [amd64 arm64 armel armhf i386 loong64 mips64el ppc64el riscv64 s390x sparc64],
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-pkgkde-symbolshelper,
+               ccache [linux-any],
+               clang-19 [amd64 arm64 armel armhf hurd-amd64 hurd-i386 i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
                cmake (>= 3.24~),
-               debhelper-compat (= 13),
-               libclang-19-dev [amd64 arm64 armel armhf i386 loong64 mips64el ppc64el riscv64 s390x sparc64],
+               libclang-19-dev [amd64 arm64 armel armhf hurd-amd64 hurd-i386 i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
+#               liblitehtml-dev (>= 0.6~),
+               libcups2-dev,
                libcurl4-openssl-dev | libcurl4-dev,
                libedit-dev,
                libgl-dev,
-#               liblitehtml-dev (>= 0.6~),
                libssl-dev,
                libvulkan-dev [linux-any],
                libxcb-xkb-dev,
                libzstd-dev (>= 1.3),
-               llvm [amd64 arm64 armel armhf i386 loong64 mips64el ppc64el riscv64 s390x sparc64],
-               llvm-19-dev [amd64 arm64 armel armhf i386 loong64 mips64el ppc64el riscv64 s390x sparc64],
+               llvm-19 [amd64 arm64 armel armhf hurd-amd64 hurd-i386 i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
+               llvm-19-dev [amd64 arm64 armel armhf hurd-amd64 hurd-i386 i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
                ninja-build,
+               pkg-kde-tools,
                pkgconf,
-               pkg-kde-tools,
-               qt6-base-dev (>= 6.8.3+dfsg~),
-               qt6-base-private-dev (>= 6.8.3+dfsg~),
-               qt6-declarative-dev (>= 6.8.3+dfsg~),
-               qt6-declarative-private-dev (>= 6.8.3+dfsg~),
-Build-Depends-Indep: qdoc-qt6 (>= 6.8~) <!nodoc>,
-                     qt6-base-dev (>= 6.8~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.8~) <!nodoc>,
-Standards-Version: 4.7.0
+               qt6-base-dev (>= 6.9.1+dfsg~),
+               qt6-base-private-dev (>= 6.9.1+dfsg~),
+               qt6-declarative-dev (>= 6.9.1+dfsg~),
+               qt6-declarative-private-dev (>= 6.9.1+dfsg~),
+Build-Depends-Indep: qdoc-qt6 (>= 6.9~) <!nodoc>,
+                     qt6-base-dev (>= 6.9~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.9~) <!nodoc>,
+Standards-Version: 4.7.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-tools
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-tools.git
@@ -37,7 +39,7 @@
 Package: libqt6designer6
 Architecture: any
 Multi-Arch: same
-Provides: qt6-designer-private-abi (= 6.8.3),
+Provides: qt6-designer-private-abi (= 6.9.1),
 Pre-Depends: ${misc:Pre-Depends},
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 Designer library
@@ -62,7 +64,7 @@
 Package: libqt6help6
 Architecture: any
 Multi-Arch: same
-Provides: qt6-help-private-abi (= 6.8.3),
+Provides: qt6-help-private-abi (= 6.9.1),
 Pre-Depends: ${misc:Pre-Depends},
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 Help library
@@ -75,7 +77,7 @@
 Package: libqt6uitools6
 Architecture: any
 Multi-Arch: same
-Provides: qt6-uitools-private-abi (= 6.8.3),
+Provides: qt6-uitools-private-abi (= 6.9.1),
 Pre-Depends: ${misc:Pre-Depends},
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 UI tools library
@@ -149,10 +151,10 @@
  qdbus is a tool for listing D-Bus services and its properties.
 
 Package: qdoc-qt6
-Architecture: amd64 arm64 armel armhf i386 loong64 mips64el ppc64el riscv64 s390x sparc64
-Multi-Arch: foreign
-Section: utils
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Architecture: amd64 arm64 armel armhf hurd-amd64 hurd-i386 i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32
+Multi-Arch: foreign
+Section: utils
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Breaks: qt6-documentation-tools (<< 6.7.2-5~),
 Replaces: qt6-documentation-tools (<< 6.7.2-5~),
 Description: Qt 6 qdoc tool
@@ -167,8 +169,9 @@
 Multi-Arch: foreign
 Section: utils
 Depends: libqt6sql6-sqlite,
-         qdoc-qt6 (= ${binary:Version}) [amd64 arm64 armel armhf i386 loong64 mips64el ppc64el riscv64 s390x sparc64],
-         ${misc:Depends}, ${shlibs:Depends},
+         qdoc-qt6 (= ${binary:Version}) [amd64 arm64 armel armhf hurd-amd64 hurd-i386 i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
+         ${misc:Depends},
+         ${shlibs:Depends},
 Description: Qt 6 documentation tools
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
